"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsMapOfStringsConstraint = void 0;
const class_validator_1 = require("class-validator");
let IsMapOfStringsConstraint = class IsMapOfStringsConstraint {
    validate(value, args) {
        if (!value || typeof value !== 'object') {
            return false;
        }
        for (let key in value) {
            if (typeof value[key] !== 'string') {
                return false;
            }
        }
        return true;
    }
    defaultMessage(args) {
        return `${args.property} must be a map object with string values.`;
    }
};
exports.IsMapOfStringsConstraint = IsMapOfStringsConstraint;
exports.IsMapOfStringsConstraint = IsMapOfStringsConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsMapOfStrings', async: false })
], IsMapOfStringsConstraint);
//# sourceMappingURL=is-map-of-strings.constraint.js.map