import { HydratedDocument } from 'mongoose';
import { IResidence } from '../../interfaces/residence.interface';
import { IDictionary } from '../../interfaces/dictionary.interface';
export declare class Residence implements IResidence {
    country: IDictionary;
    city: IDictionary;
    address1: string;
    address2: string;
}
export declare const ResidenceSchema: import("mongoose").Schema<Residence, import("mongoose").Model<Residence, any, any, any, import("mongoose").Document<unknown, any, Residence> & Residence & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Residence, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Residence>> & import("mongoose").FlatRecord<Residence> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}>;
export type ResidenceDocument = HydratedDocument<Residence>;
