import { IPerson } from '../../interfaces/person.interface';
import { HydratedDocument } from 'mongoose';
import { IResidence } from '../../interfaces/residence.interface';
export declare class Person implements IPerson {
    pid: string;
    firstName: string;
    lastName: string;
    birthDate: Date;
    residence: IResidence;
}
export declare const PersonSchema: import("mongoose").Schema<Person, import("mongoose").Model<Person, any, any, any, import("mongoose").Document<unknown, any, Person> & Person & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Person, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Person>> & import("mongoose").FlatRecord<Person> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}>;
export type PersonDocument = HydratedDocument<Person>;
